@Echo off & SetLocal EnableDelayedExpansion enableextensions 


for %%f in (*.tar) do (
	echo. 
	echo Extracting %%f
    tar -xf %%f
	
	for %%j in (*.pem) do (	
		echo Using certificate %%j
		
		for %%k in (*.log) do (
			echo|set /p="Checking %%k: "
			sigtest.exe -c%%j -l%%k >nul 2>&1
			
			if !ERRORLEVEL! neq 0 (
				echo [91mFAIL[0m

			) else (
				echo [92mOK[0m			
			)
			
		)
	)

	del *.log
	del *.pem
	del *.csv
)
